<!DOCTYPE html>
<html dir="ltr" lang="<%= @meta_language&.join(',') || @default_language %>">
<head>
  <meta charset='UTF-8'>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <% if @meta_description.present? %>
    <meta name="description" content="<%= @meta_description %>">
  <% end %>
  <% if @private_page %>
    <meta name="robots" content="noindex, nofollow, noarchive, nosnippet, notranslate, noimageindex">
  <% end %>
  <link rel="canonical" href="<%= url_for(only_path: false) %>" />
  <title><%= "#{yield(:page_title)} @ " if content_for? :page_title %><%= @title_suffix %></title>
  <%= stylesheet_link_tag 'application', media: 'all' %>
  <%= csrf_meta_tags %>

  <style>
    <% if @bg_landscape %>
      html { background-image: url('<%= image_path("#{@bg_landscape}_4k.jpg") %>'); }

      @media only screen and (max-width: 640px) {
        html { background-image: url('<%= image_path("#{@bg_landscape}_480.jpg") %>'); }
      }

      @media only screen and (max-width: 1280px) {
        html { background-image: url('<%= image_path("#{@bg_landscape}_720.jpg") %>'); }
      }

      @media only screen and (max-width: 1920px) {
        html { background-image: url('<%= image_path("#{@bg_landscape}_1080.jpg") %>'); }
      }
    <% end %>

    <% if @bg_portrait %>
      @media (orientation: portrait) {
        html { background-image: url('<%= image_path("#{@bg_portrait}_4k.jpg") %>'); }
      }

      @media (orientation: portrait) and only screen and (max-width: 640px) {
        html { background-image: url('<%= image_path("#{@bg_portrait}_480.jpg") %>'); }
      }

      @media (orientation: portrait) and only screen and (max-width: 1280px) {
        html { background-image: url('<%= image_path("#{@bg_portrait}_720.jpg") %>'); }
      }

      @media (orientation: portrait) and only screen and (max-width: 1920px) {
        html { background-image: url('<%= image_path("#{@bg_portrait}_1080.jpg") %>'); }
      }
    <% end %>
  </style>
</head>
<body class="oni">
  <%= render 'oni_sorceress/layouts/header' %>
  <%= render 'oni_sorceress/layouts/flashes' %>

  <div class="oni-content">
    <%= yield %>
  </div>

  <%= render 'oni_sorceress/layouts/footer' %>
</body>
</html>
